d("contactUsPageView", ["ccrz", "util", "contactUsPageModel"], function(CCRZ, UTIL, contactUsPageModel) {
    CCRZ.views.cc_cust_contactUsPageView = CCRZ.CloudCrazeView.extend({
        el: CCRZ.uiProperties.contactUsPageView.selector,
        viewName: "contactUsPageView",
        templateDesktop: CCRZ.util.template(CCRZ.uiProperties.contactUsPageView.tmpl),
        init: function() {
            let contactUsPageModelBind = new CCRZ.models.cc_cust_contactUsPageModel();
            this.model = contactUsPageModelBind;
            this.render();
        },
        renderDesktop: function() {
            this.renderView(this.templateDesktop);
        },
        renderPhone: function() {
            this.renderView(this.templatePhone);
        },
        renderView: function(e) {
            this.$el.html(e(this.model.toJSON()));
        },
        
        sendEmail: function(e) {
            let firstName = $('#cfirstName').val();
            let LastName = $('#clastname').val();
            let email = $('#email_to').val();
            let dealername =$('#cdealername').val();
            let message  = 	$('#Message').val();
            if(($.trim(firstName)=='') || ($.trim(dealername)=='') ||($.trim(LastName)=='') || ($.trim(email)=='') || ($.trim(message)=='') ){
                $('.messagingSection-contactus-Error').html('<div class="alert alert-danger">Please fill required fields.</div>').show();
                return;
            }
            if(!(UTIL.validateEmail(email))){
                $('.messagingSection-contactus-Error').html('<div class="alert alert-danger">Please enter valid email.</div>').show();
                return;
            }
            $('.messagingSection-contactus-Error').empty().hide();
            this.model.sendContactEmail(e);
        },
        clearForm: function(e) {
            $('#cfirstName').val('');
            $('#clastname').val('');
            $('#cphone').val('');
            $('#email_to').val('');
            $('#cdealername').val('');
            $('#ccountry').val('');
            $('#Message').val('');
        },
        
        events: {
            "click #sendContactInfo": "sendEmail",
            "click #cancelForm": "clearForm",
        }
    });
    return CCRZ.views.cc_cust_contactUsPageView;
});